import React from "react";
import { Typography } from "@material-ui/core";
import { Container } from "./styles";
import { useSelector } from "react-redux";

export default function (props) {
  const contrasteValue = useSelector((state) => state.contraste);
  const content = props.content;
  const color = props.color;
  const borderColor = props.borderColor;
  return (
    <>
      <Container color={color} borderColor={borderColor} contraste={contrasteValue}>
        <Typography variant='body1' className='contentSimple' noRead>
          {content}
        </Typography>
      </Container>
    </>
  );
}
