import styled from "styled-components";
import { Box } from "@material-ui/core";

export const Content = styled(Box)`
  .text {
    color: ${(props) => props.theme.palette.white.black} !important;
    display: flex;
    flex-direction: column;
    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .dialog {
    display: flex;
    margin-bottom: 1rem;
    @media (max-width: 900px) {
      > div {
        position: relative;
        left: 50%;
        transform: translateX(-30%);
      }
    }
  }
`;
