import React, { Suspense, lazy } from "react";
import { HashRouter, Switch, Route } from "react-router-dom";

const capa = lazy(() => import("./pages/capa"));
const _1 = lazy(() => import("./pages/_1"));
const _2 = lazy(() => import("./pages/_2"));
const _3 = lazy(() => import("./pages/_3"));
const _4 = lazy(() => import("./pages/_4"));
const _4_2 = lazy(() => import("./pages/_4_2"));
const _5 = lazy(() => import("./pages/_5"));
const _6 = lazy(() => import("./pages/_6"));
const _7 = lazy(() => import("./pages/_7"));
const _8 = lazy(() => import("./pages/_8"));
const _9 = lazy(() => import("./pages/_9"));
const _10 = lazy(() => import("./pages/_10"));
const _11 = lazy(() => import("./pages/_11"));
const _12 = lazy(() => import("./pages/_12"));
const _13 = lazy(() => import("./pages/_13"));
const _14 = lazy(() => import("./pages/_14"));
const _15 = lazy(() => import("./pages/_15"));
const _16 = lazy(() => import("./pages/_16"));
const _17 = lazy(() => import("./pages/_17"));
const _18 = lazy(() => import("./pages/_18"));
const _19 = lazy(() => import("./pages/_19"));
const _20 = lazy(() => import("./pages/_20"));
const _Q1 = lazy(() => import("./pages/_Q1"));
const _Q2 = lazy(() => import("./pages/_Q2"));
const final = lazy(() => import("./pages/final"));

export default () => (
	<HashRouter>
		<Suspense fallback={<div />}>
			<Switch>
				<Route exact path="/" component={capa} />
				<Route path="/_1" component={_1} />
				<Route path="/_2" component={_2} />
				<Route path="/_3" component={_3} />
				<Route path="/_4" component={_4} />
				<Route path="/_4_2" component={_4_2} />
				<Route path="/_5" component={_5} />
				<Route path="/_6" component={_6} />
				<Route path="/_7" component={_7} />
				<Route path="/_8" component={_8} />
				<Route path="/_9" component={_9} />
				<Route path="/_10" component={_10} />
				<Route path="/_11" component={_11} />
				<Route path="/_12" component={_12} />
				<Route path="/_13" component={_13} />
				<Route path="/_14" component={_14} />
				<Route path="/_15" component={_15} />
				<Route path="/_16" component={_16} />
				<Route path="/_17" component={_17} />
				<Route path="/_18" component={_18} />
				<Route path="/_19" component={_19} />
				<Route path="/_20" component={_20} />
				<Route path="/_Q1" component={_Q1} />
				<Route path="/_Q2" component={_Q2} />
				<Route path="/final" component={final} />
			</Switch>
		</Suspense>
	</HashRouter>
);
