import styled from 'styled-components';

export const Pares = styled.div`
  .pares {
    padding: 0.6rem;
    background: ${(props) =>
      props.contraste
        ? props.theme.palette.white.white
        : props.paresBackgroundColor
        ? props.paresBackgroundColor
        : props.theme.palette.white.components};
    color: ${(props) =>
      props.contraste
        ? props.theme.palette.black.black
        : props.paresColor
        ? props.paresColor
        : props.theme.palette.white.white};
    animation: surge 2s ease forwards;
    position: relative;
    left: 1000px;
    opacity: 0;
    @media (max-width: 900px) {
      padding: 0.3rem;
    }
  }
  @keyframes surge {
    100% {
      left: 0px;
      opacity: 1;
    }
  }
`;

export const Impares = styled.div`
  .impares {
    color: #fff;
    padding: 0.6rem;
    background: ${(props) =>
      props.contraste
        ? props.theme.palette.white.white
        : props.imparesBackgroundColor
        ? props.imparesBackgroundColor
        : props.theme.palette.white.componentsSecondary};
    color: ${(props) =>
      props.contraste
        ? props.theme.palette.black.black
        : props.imparesColor
        ? props.imparesColor
        : props.theme.palette.white.white};
    animation: surge 2s ease forwards;
    animation-delay: 1s;
    border-top: ${(props) =>
      props.contraste ? `${props.theme.palette.black.black} solid 2px` : null};
    border-bottom: ${(props) =>
      props.contraste ? `${props.theme.palette.black.black} solid 2px` : null};
    position: relative;
    left: 1000px;
    opacity: 0;
    @media (max-width: 900px) {
      padding: 0.3rem;
    }
  }

  @keyframes surge {
    100% {
      left: 0px;
      opacity: 1;
    }
  }
`;
