import styled from "styled-components";

export const ContainerContour = styled.div`
  width: 100%;
  position: relative;

  .contentContour {
    width: 100%;
  }

  .contentBox {
    width: 100%;
    height: ${(props) => (props.height ? props.height : "auto")};
    display: flex;

    border: 2px solid
      ${(props) =>
        props.contraste
          ? props.theme.palette.white.components
          : props.border
          ? props.border
          : props.theme.palette.white.components};

    border-radius: 1rem;
    padding: 1.5rem 1rem;
    margin-bottom: 0.25rem;
    align-items: center;
    @media (max-width: 900px) {
      flex-direction: column;
    }
    @media (min-width: 900px) {
      padding: 1rem;
    }

    @media (min-width: 900px) and (min-height: 900px) {
      margin-bottom: 1rem;
    }
    @media (max-width: 900px) {
      height: auto;
    }
  }
  .text {
    width: ${(props) => (props.image ? "75%" : "100%")};
    @media (max-width: 900px) {
      width: 100%;
    }
  }
  .img {
    width: 15%;
    margin-right: 1rem;
    @media (max-width: 900px) {
      width: 100%;
      margin-right: 0;
      margin-bottom: 1rem;
    }
  }
  .img > img {
    max-width: 100%;
    box-sizing: border-box;
  }
`;
