import React from "react";
import pdf1 from "../../assets/pdfs/caderno_37.pdf"
import pdf2 from "../../assets/pdfs/Pharmacotherapy for mild hypertension.pdf"
import pdf3 from "../../assets/pdfs/Financial Relationships between Organizations.pdf"
import pdf4 from "../../assets/pdfs/acolhimento_demanda_espontanea_queixas_comuns_cab28v2.pdf"
import pdf5 from "../../assets/pdfs/Internacoes por condicoes sensiveis a atencao.pdf"
import pdf6 from "../../assets/pdfs/diagnostico de demanda em florianopolis.pdf"
import pdf7 from "../../assets/pdfs/unidade25.pdf"
import pdf8 from "../../assets/pdfs/HYP.pdf"



export default [
	{
		info: (
			<>
				BRASIL. Ministério da Saúde. Secretaria de Atenção à Saúde. Departamento
				de Atenção Básica.{" "}
				<b>Estratégias para o cuidado da pessoa com doença crônica</b>:
				Hipertensão Arterial Sistêmica. Brasília: Ministério da Saúde; 2013.
				(Caderno da Atenção Básica; vol. 37). Acesso em 06 fev. 2023.
			</>
		),
		link: pdf1,
	},
	{
		info: (
			<>
				GUSSO, G.; LOPES, J. M. C.; DIAS, L. C. (Orgs.){" "}
				<strong>Tratado de medicina de família e comunidade:</strong>{" "}
				princípios, formação e prática. 2. ed. Porto Alegre: Artmed, 2019. 2388
				p.
			</>
		),
	},
	{
		info: (
			<>
				WHELTON, P. K. et al.{" "}
				<b>
					Systematic review for the 2017
					ACC/AHA/AAPA/ABC/ACPM/AGS/APhA/ASH/ASPC/NMA/PCNA guideline for the
					prevention, detection, evaluation, and management of high blood
					pressure in adults
				</b>
				: a report of the American College of Cardiology/American Heart
				Association Task Force on Clinical Practice Guidelines. Hypertension, v.
				71, n. 6, p. e116-e135, 2018. Acesso em: 06 fev. 2023.
			</>
		),
		link: pdf8,
	},
	{
		info: (
			<>
				UK PROSPECTIVE DIABETES STUDY (UKPDS) GROUP et al.{" "}
				<b>
					Intensive blood-glucose control with sulphonylureas or insulin
					compared with conventional treatment and risk of complications in
					patients with type 2 diabetes
				</b>{" "}
				(UKPDS 33). The lancet, v. 352, n. 9131, p. 837-853, 1998. Acesso em: 06
				fev. 2023.

			</>
		),
		link: "https://doi.org/10.1016/S0140-6736(98)07019-6",
	},
	{
		info: (
			<>
				DIAO, Diana et al. Pharmacotherapy for mild hypertension.{" "}
				<b>Cochrane database of systematic reviews</b>, n. 8, 2012.
			</>
		),
		link: pdf2,
	},
	{
		info: (
			<>
				CAMPSALL, Paul et al. Financial relationships between organizations that
				produce clinical practice guidelines and the biomedical industry: a
				cross-sectional study. <b>PLoS medicine</b>, v. 13, n. 5, p. e1002029,
				2016. Acesso em: 06 fev. 2023.
			</>
		),
		link: pdf3,
	},
	{
		info: (
			<>
				NEALE, Todd. AAFP Says It Cannot Endorse New Hypertension Guideline.{" "}
				<b>TCTMD</b>, 2017. Acesso em: 06 fev. 2023.
			</>
		),
		link: "https://www.tctmd.com/news/aafp-says-it-cannot-endorse-new-hypertension-guideline",
	},
	{
		info: (
			<>
				ARMSTRONG, C. Joint National Committee. JNC8 guidelines for the
				management of hypertension in adults. <b>Am Fam Physician</b> , v. 90,
				n. 7, p. 503–4, 2014.
			</>
		),
	},
	{
		info: (
			<>
				JAMES, Paul A. et al. 2014 evidence-based guideline for the management
				of high blood pressure in adults: report from the panel members
				appointed to the Eighth Joint National Committee (JNC 8). <b>Jama</b>,
				v. 311, n. 5, p. 507-520, 2014. Acesso em: 06 fev. 2023. Acesso em: 06 fev. 2023.
			</>
		),
		link: "https://doi.org/10.1001/jama.2013.284427",
	},
	{
		info: (
			<>
				BRASIL. Ministério da Saúde. Secretaria de Atenção à Saúde. Departamento
				de Atenção Básica. <b>Acolhimento à demanda espontânea</b>: queixas mais
				comuns na Atenção Básica. Brasília: Ministério da Saúde, 2013. Acesso
				em: 06 fev. 2023. Acesso em: 06 fev. 2023.

			</>
		),
		link: pdf4,
	},
	{
		info: (
			<>
				VELASCO, Irineu Tadeu; BRANDÃO NETO, Rodrigo Antonio; SOUZA, Heraldo
				Possolo de; MARINO, Lucas Oliveira; MARCHINI, Julio Flávio Meirelles;
				ALENCAR, Júlio César Garcia de. <b>Medicina de Emergência</b>: Abordagem
				Prática. 14. ed. Barueri - SP: Manole, 2020. 1664 p.
			</>
		),
	},
	{
		info: (
			<>
				BRASIL. Ministério da Saúde. Secretaria de Atenção Primária à Saúde.{" "}
				<b>Linha de Cuidado para Insuficiência Cardíaca (IC) no adulto</b>.
				Brasília, DF: Ministério da Saúde, 2022. Acesso em: 06 fev. 2023. Acesso em: 06 fev. 2023.
			</>
		),
		link: "https://linhasdecuidado.saude.gov.br/portal/insuficiencia-cardiaca-(IC)-no-adulto/atencao-especializada/avaliacao-inicial/#Diagnostico&#pills-criterios-diagnosticos",
	},
	{
		info: (
			<>
				BALDIVIA, G. C.; NAPOLI, J. V. M. P.; MOTTA, J. M. E.; VIEIRA FILHO, N.
				G.; LOPES, H. F. Is hepatojugular reflux a good predictor of heart
				failure with preserved ejection fraction? <b>Rev Assoc Médica Bras</b>,
				v. 65, n. 5, p. 592–5, 2019.
			</>
		),
	},
	{
		info: (
			<>
				ALFRADIQUE, Maria Elmira et al. Internações por condições sensíveis à
				atenção primária: a construção da lista brasileira como ferramenta para
				medir o desempenho do sistema de saúde (Projeto ICSAP-Brasil).{" "}
				<b>Cadernos de Saúde Pública</b>, v. 25, p. 1337-1349, 2009. Acesso em: 06 fev. 2023.
			</>
		),
		link: pdf5,
	},
	{
		info: (
			<>
				GUSSO, G. D. F. Diagnóstico de demanda em Florianópolis utilizando a
				Classificação Internacional de Atenção Primária: 2ª edição (CIAP-2)
				[Internet] [text]. Universidade de São Paulo; 2009. Acesso em: 06 fev. 2023.
			</>
		),
		link: pdf6,
	},
	{
		info: (
			<>
				GUSSO, S. G. Curso de Especialização em Saúde da Família.
				UNA-SUS/UNIFESP, 2013 [Internet]. Acesso em: 06 fev. 2023.
			</>
		),
		link: pdf7,
	},
	{
		info: (
			<>
				LEAVELL, H.; CLARK, E. G. <b>Medicina preventiva.</b>. São Paulo:
				McGraw-Hill do Brasil; 1976.
			</>
		),
	},
	{
		info: (
			<>
				BRASIL. Ministério da Saúde. Instituto Sírio Libanês de Ensino e
				Pesquisa. <b>Protocolos da atenção básica</b>: condições crônicas não
				transmissíveis: risco cardiovascular. Brasília: Ministério da Saúde;
				2016.
			</>
		),
	},
	{
		info: (
			<>
				NORMAN, A. H.; TESSER, C. D. Prevenção quaternária na atenção primária à
				saúde: uma necessidade do Sistema Único de Saúde.{" "}
				<b>Cad. Saúde Pública</b>, , v. 25, n. 9, p. 2012–20, 2009.
			</>
		),
	},
	{
		info: (
			<>
				ANDRADE, R.; FERNANDES, R. D. C. Hipertensão arterial e trabalho:
				fatores de risco. <b>Rev Bras Med Trab</b>, v. 14, p. 252–61, 2016.
			</>
		),
	},
];
