import styled from 'styled-components';

export const ContainerPhotoPainel = styled.div`
  .cards {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: auto;
    grid-row-gap: 0.5rem;

    @media (min-width: 900px) {
      grid-template-columns: repeat(4, 1fr);
      grid-template-rows: repeat(2, 1fr);
      grid-gap: 0.75rem;
    }

    @media (min-width: 1800px) {
      grid-gap: 1rem;
    }
  }
`;
