import styled from 'styled-components';

export const Legenda = styled.div`
  position: absolute;
  z-index: 100;
  margin: 0;
  > div {
    display: flex;
    align-items: center;
  }
  padding: 5px;

  top: 0;
  left: 0;
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: space-around;
  background: ${(props) => props.theme.palette.white.black};
  color: ${(props) => props.theme.palette.black.white};

  span {
    width: auto;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 10px;
    background: ${(props) => props.theme.palette.black.white};
    color: ${(props) => props.theme.palette.white.black};
  }
  animation: helpAnimation 0.5s;
  @keyframes helpAnimation {
    0% {
      opacity: 0;
    }
    100% {
      opacity: 1;
    }
  }
`;
