import React from "react";

export const questions = [
  {
    id: 0,
    name: "a) ",
    label: `Evitar a verificação da pressão arterial em unidades de saúde, ou por profissionais usando jaleco, a fim de evitar a chamada “hipertensão do avental branco”.`,
    feedback:
      "a) INCORRETA. É verdade que a “hipertensão do avental branco” pode interferir na média habitual da pressão (pelo fato de o consultório se apresentar como um ambiente estressante àquele paciente em especial), mas não é uma regra geral para todos. É preciso estar atento aos sinais de incômodo e conversar com o paciente, a fim de elaborar uma estratégia para estes casos particulares.",
  },
  {
    id: 1,
    name: "b) ",
    label:
      "Evitar a verificação da pressão arterial 30 minutos após o paciente ter fumado, bebido café ou almoçado ou jantado em grandes quantidades.",
    feedback:
      "b) CORRETA. Uma das recomendações prévias à aferição da pressão arterial aponta para evitar grandes refeições, o uso de cigarros e de bebidas com cafeína nos 30 minutos precedentes.",
  },
  {
    id: 2,
    name: "c) ",
    label:
      "Evitar a verificação da pressão arterial após o paciente ter acordado ou depois de estar sentado há muito tempo esperando a consulta.",
    feedback:
      "c) INCORRETA. Ao contrário do que foi afirmado, é ideal que a medição ocorra em situação de repouso, de preferência em um ambiente calmo, evitando situações de estresse físico (dor) e emocional.",
  },
  {
    id: 3,
    name: "d) ",
    label:
      "Evitar a verificação da pressão arterial no ambiente em que o usuário passa a maior parte do tempo, pois pode ser um lugar muito estressante.",
    feedback:
      "d) INCORRETA. A aferição no ambiente em que o usuário passa a maior parte do tempo pode ser ideal, pois aponta como está a pressão arterial do paciente a maior parte do tempo, e não é uma situação específica de consulta. Em casos de automedida da pressão arterial (ampa), porém, é necessário que os aparelhos estejam corretamente calibrados.",
  },
];
