import React from "react";

export const questions = [
  {
    id: 0,
    name: "a) ",
    label:
      "Se apresenta dor precordial e pulso anormal (bradicardia ou taquicardia), deve-se encaminhar para atendimento prioritário e tratamento do quadro agudo.",
    feedback:
      "a) INCORRETA. Os sintomas apresentados indicam prioridade máxima, com atendimento médico imediato, a fim de estabilizar o quadro, e com indicação de retorno breve após alta.",
  },
  {
    id: 1,
    name: "b) ",
    label:
      "Se apresenta dor torácica que piora quando tosse ou respira, deve-se encaminhar para atendimento médico imediato e com indicação de retorno breve após alta.",
    feedback:
      "b) INCORRETA. Os sintomas apresentados indicam a necessidade de atendimento prioritário, com avaliação multiprofissional e tratamento do quadro agudo, com retorno breve para acompanhamento.",
  },
  {
    id: 2,
    name: "c) ",
    label:
      "Se apresenta vômito, dor ou problemas recentes, deve-se encaminhar para atendimento no mesmo dia, seguindo os protocolos e, se necessário, com atendimento médico.",
    feedback:
      "c) CORRETA. Os pacientes hipertensos que apresentam sintomas como vômito, dor ou problemas recentes se encaixam num nível de prioridade mais baixo, mas ainda com atendimento no mesmo dia pela equipe de enfermagem, seguindo os protocolos e orientações.",
  },
  {
    id: 3,
    name: "d) ",
    label:
      "Se não apresenta sintomas urgentes, não há necessidade de avaliação das equipes de enfermagem, podendo apenas marcar uma consulta para o futuro.",
    feedback:
      "d) INCORRETA. Mesmo com sintomas que não são urgentes, deve haver uma avaliação inicial da enfermagem, de forma a identificar situações de vulnerabilidade e orientar para retorno em caso de agravamento.",
  },
];
